diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/utils.py
index e693c5a..86615b4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/utils.py
@@ -6,174 +6,50 @@
 # #This software is released under the PostgreSQL Licence
 #
 # ##########################################################################
+from __future__ import print_function
+import traceback
+import sys
 
-import json
-import os
-import pickle
-import uuid
-
-from regression.test_setup import pickle_path, advanced_config_data
-from pgadmin.browser.server_groups.servers.databases.tests import \
-    utils as database_utils
-from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
-    utils as schema_utils
 from regression import test_utils as utils
 
-TRIGGER_FUNCTIONS_URL = '/browser/trigger_function/obj/'
-TRIGGER_FUNCTIONS_DELETE_URL = '/browser/trigger_function/delete/'
-
-
-def get_trigger_func_data(server_connect_data):
-    """This function returns the trigger function config data"""
-
-    adv_config_data = None
-    data = None
-    db_user = server_connect_data['data']['user']['name']
-
-    # Get the config data of appropriate db user
-    for config_test_data in \
-            advanced_config_data['trigger_function_credentials']:
-        if db_user == config_test_data['fun_owner']:
-            adv_config_data = config_test_data
-
-    if adv_config_data is not None:
-        data = {
-            "acl": adv_config_data['acl'],
-            "arguments": adv_config_data['args'],
-            "funcowner": adv_config_data['fun_owner'],
-            "lanname": adv_config_data['language'],
-            "name": adv_config_data['name'],
-            "options": adv_config_data['options'],
-            "proleakproof": adv_config_data['leak_proof'],
-            "pronamespace": adv_config_data['namespace'],
-            "prorettypename": adv_config_data['type'],
-            "prosecdef": adv_config_data['sec_def'],
-            "prosrc": adv_config_data['code'],
-            "provolatile": adv_config_data['volitile'],
-            "seclabels": adv_config_data['sec_label'],
-            "variables": adv_config_data['Variable']
-        }
-    return data
-
-
-def write_trigger_func_id(trigger_func_ids_list, server_id):
-    """
-    This function writes the server and trigger function related data like
-    server id and trigger function name
-
-    :param trigger_func_ids_list: list of trigger functions ids
-    :type trigger_func_ids_list: list
-    :param server_id: server id
-    :type server_id: int
-    :return: None
-    """
-
-    pickle_id_dict = utils.get_pickle_id_dict()
-
-    if os.path.isfile(pickle_path):
-        existing_server_id = open(pickle_path, 'rb')
-        tol_server_id = pickle.load(existing_server_id)
-        pickle_id_dict = tol_server_id
-    if 'tfnid' in pickle_id_dict:
-        if pickle_id_dict['tfnid']:
-            # Add the db_id as value in dict
-            pickle_id_dict["tfnid"][0].update(
-                {int(server_id): trigger_func_ids_list})
-        else:
-            # Create new dict with server_id and db_id
-            pickle_id_dict["tfnid"].append(
-                {int(server_id): trigger_func_ids_list})
-    db_output = open(pickle_path, 'wb')
-    pickle.dump(pickle_id_dict, db_output)
-    db_output.close()
-
 
-def add_trigger_function(tester, server_connect_response, server_ids):
+def create_trigger_function(server, db_name, schema_name, func_name):
     """This function add the trigger function to schema"""
-
-    all_id = utils.get_ids()
-    db_ids_dict = all_id["did"][0]
-    schema_ids_dict = all_id["scid"][0]
-    for server_connect_response, server_id in zip(server_connect_response,
-                                                  server_ids):
-        db_id = db_ids_dict[int(server_id)]
-        db_con = database_utils.verify_database(tester, utils.SERVER_GROUP,
-                                                server_id, db_id)
-        if db_con['data']["connected"]:
-            schema_id = schema_ids_dict[int(server_id)][0]
-            schema_utils.verify_schemas(tester, server_id, db_id,
-                                        schema_id)
-            data = get_trigger_func_data(server_connect_response)
-            # Get the type from config data. We are adding two types
-            # i.e. event_trigger and trigger.
-            trigger_func_types = data['prorettypename'].split('/')
-            trigger_func_ids_list = []
-            for func_type in trigger_func_types:
-                data['prorettypename'] = func_type
-                data["name"] = "event_{}".format(str(uuid.uuid4())[1:8])
-                if schema_id:
-                    data['pronamespace'] = schema_id
-                else:
-                    schema_id = data['pronamespace']
-
-                response = tester.post(
-                    TRIGGER_FUNCTIONS_URL + str(utils.SERVER_GROUP) + '/' +
-                    str(server_id) + '/' + str(db_id) + '/' + str(schema_id)
-                    + '/', data=json.dumps(data), content_type='html/json')
-
-                assert response.status_code == 200
-                response_data = json.loads(response.data.decode('utf-8'))
-                trigger_func_id = response_data['node']['_id']
-                event_trigger_name = str(response_data['node']['label'])
-                trigger_func_ids_list.append(
-                    (trigger_func_id, event_trigger_name, func_type))
-
-            write_trigger_func_id(trigger_func_ids_list, server_id)
-
-
-def verify_trigger_function(tester, server_id, db_id, schema_id,
-                            trigger_func_id):
-    """This function verifies the trigger function with GET API"""
-
-    get_response = tester.get(
-        TRIGGER_FUNCTIONS_URL + str(utils.SERVER_GROUP) + '/'
-        + str(server_id) + '/' + str(db_id) + '/' +
-        str(schema_id) + '/' + str(trigger_func_id),
-        content_type='html/json')
-    assert get_response.status_code == 200
-    return get_response
-
-
-def delete_trigger_function(tester):
-    """This function add the trigger function to schema"""
-
-    all_id = utils.get_ids()
-    server_ids = all_id["sid"]
-    db_ids_dict = all_id["did"][0]
-    schema_ids_dict = all_id["scid"][0]
-    trigger_ids_dict = all_id["tfnid"][0]
-    for server_id in server_ids:
-        db_id = db_ids_dict[int(server_id)]
-        db_con = database_utils.verify_database(tester, utils.SERVER_GROUP,
-                                                server_id, db_id)
-        if db_con['data']["connected"]:
-            schema_id = schema_ids_dict[int(server_id)][0]
-            schema_response = schema_utils.verify_schemas(
-                tester, server_id, db_id, schema_id)
-            if schema_response.status_code == 200:
-                trigger_func_list = trigger_ids_dict[int(server_id)]
-                for trigger_func in trigger_func_list:
-                    trigger_func_id = trigger_func[0]
-                    trigger_response = verify_trigger_function(
-                        tester, server_id, db_id, schema_id, trigger_func_id)
-                    if trigger_response.status_code == 200:
-                        del_response = tester.delete(
-                            TRIGGER_FUNCTIONS_DELETE_URL + str(
-                                utils.SERVER_GROUP) + '/' +
-                            str(server_id) + '/' + str(db_id) + '/' +
-                            str(schema_id) + '/' + str(trigger_func_id),
-                            follow_redirects=True)
-                        assert del_response.status_code == 200
-                        del_response_data = json.loads(
-                            del_response.data.decode('utf-8'))
-                        assert del_response_data['success'] == 1
+    try:
+        connection = utils.get_db_connection(db_name,
+                                             server['username'],
+                                             server['db_password'],
+                                             server['host'],
+                                             server['port'])
+        pg_cursor = connection.cursor()
+        query = "CREATE FUNCTION "+schema_name+"."+func_name+"()" \
+                " RETURNS event_trigger LANGUAGE 'plpgsql' STABLE LEAKPROOF" \
+                " SECURITY DEFINER SET enable_sort=true AS $BODY$ BEGIN" \
+                " NULL; END; $BODY$"
+        pg_cursor.execute(query)
+        connection.commit()
+        # Get 'oid' from newly created function
+        pg_cursor.execute("SELECT pro.oid, pro.proname FROM"
+                          " pg_proc pro WHERE pro.proname='%s'" %
+                          func_name)
+        functions = pg_cursor.fetchone()
+        connection.close()
+        return functions
+    except Exception:
+        traceback.print_exc(file=sys.stderr)
+
+
+def verify_trigger_function(server, db_name, func_name):
+    """This function verifies the trigger function in db"""
+    connection = utils.get_db_connection(db_name,
+                                         server['username'],
+                                         server['db_password'],
+                                         server['host'],
+                                         server['port'])
+    pg_cursor = connection.cursor()
+    pg_cursor.execute("SELECT pro.oid, pro.proname FROM"
+                      " pg_proc pro WHERE pro.proname='%s'" %
+                      func_name)
+    functions = pg_cursor.fetchone()
+    connection.close()
+    return functions
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_add.py
index 0222621..85d1cf9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_add.py
@@ -6,67 +6,90 @@
 # This software is released under the PostgreSQL Licence
 #
 # ##################################################################
+import json
+import uuid
 
 from regression import test_utils as utils
+from regression import parent_node_dict
 from pgadmin.utils.route import BaseTestGenerator
-from pgadmin.browser.server_groups.servers.tests import utils as server_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from . import utils as sequence_utils
 
 
 class SequenceAddTestCase(BaseTestGenerator):
     """ This class will add new sequence(s) under schema node. """
-
     scenarios = [
         # Fetching default URL for sequence node.
         ('Fetch sequence Node URL', dict(url='/browser/sequence/obj/'))
     ]
 
-    @classmethod
-    def setUpClass(cls):
-        """
-        This function perform the three tasks
-         1. Add the test server(s)
-         2. Connect to server(s)
-         3. Add the database(s)
-         4. Add the schema(s)
-
-        :return: None
-        """
-
-        # First, add the server
-        server_utils.add_server(cls.tester)
-
-        # Connect to server
-        cls.server_connect_response, cls.server_group, cls.server_ids = \
-            server_utils.connect_server(cls.tester)
-        if len(cls.server_connect_response) == 0:
-            raise Exception("No Server(s) connected to add the database!!!")
-
-        # Add database
-        database_utils.add_database(cls.tester, cls.server_connect_response,
-                                    cls.server_ids)
-        # Add schemas
-        schema_utils.add_schemas(cls.tester)
+    def setUp(self):
+        pass
 
     def runTest(self):
-        """ This function will add sequence(s) under schema node. """
-
-        sequence_utils.add_sequences(self.tester)
-
-    @classmethod
-    def tearDownClass(cls):
-        """This function deletes the added sequence, schema, database, server
-        and parent id file
-
-        :return: None
-        """
+        """This function will add sequence(s) under schema node."""
+        db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to add sequence.")
+        schema_id = schema_info["schema_id"]
+        schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      db_name,
+                                                      schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to add sequence.")
+        db_user = self.server["username"]
+        data = {
+            "cache": "1",
+            "cycled": True,
+            "increment": "1",
+            "maximum": "100000",
+            "minimum": "1",
+            "name": "test_sequence_add_%s" % (str(uuid.uuid4())[1:6]),
+            "relacl": [
+                {
+                    "grantee": db_user,
+                    "grantor": db_user,
+                    "privileges":
+                        [
+                            {
+                                "privilege_type": "r",
+                                "privilege": True,
+                                "with_grant": True
+                            },
+                            {
+                                "privilege_type": "w",
+                                "privilege": True,
+                                "with_grant": False
+                            },
+                            {
+                                "privilege_type": "U",
+                                "privilege": True,
+                                "with_grant": False
+                            }
+                        ]
+                }
+            ],
+            "schema": schema_name,
+            "securities": [],
+            "seqowner": db_user,
+            "start": "100"
+        }
+        response = self.tester.post(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' + str(self.db_id) +
+            '/' + str(schema_id) + '/',
+            data=json.dumps(data),
+            content_type='html/json')
+        self.assertEquals(response.status_code, 200)
 
-        sequence_utils.delete_sequence(cls.tester)
-        schema_utils.delete_schema(cls.tester)
-        database_utils.delete_database(cls.tester)
-        server_utils.delete_server(cls.tester)
-        utils.delete_parent_id_file()
\ No newline at end of file
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete.py
index 8e74218..1182f5e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete.py
@@ -6,10 +6,11 @@
 # This software is released under the PostgreSQL Licence
 #
 # ##################################################################
+import uuid
 
 from regression import test_utils as utils
+from regression import parent_node_dict
 from pgadmin.utils.route import BaseTestGenerator
-from pgadmin.browser.server_groups.servers.tests import utils as server_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
@@ -18,58 +19,48 @@ from . import utils as sequence_utils
 
 
 class SequenceDeleteTestCase(BaseTestGenerator):
-    """ This class will delete added sequence under schema node. """
-
+    """This class will delete added sequence under schema node."""
     scenarios = [
         # Fetching default URL for sequence node.
         ('Fetch sequence Node URL', dict(url='/browser/sequence/obj/'))
     ]
 
-    @classmethod
-    def setUpClass(cls):
-        """
-        This function perform the three tasks
-         1. Add the test server(s)
-         2. Connect to server(s)
-         3. Add database(s)
-         4. Add schema(s)
-         5. Add sequence(s)
-
-        :return: None
-        """
-
-        # First, add the server
-        server_utils.add_server(cls.tester)
-
-        # Connect to server
-        cls.server_connect_response, cls.server_group, cls.server_ids = \
-            server_utils.connect_server(cls.tester)
-        if len(cls.server_connect_response) == 0:
-            raise Exception("No Server(s) connected to add the database!!!")
-
-        # Add database(s)
-        database_utils.add_database(cls.tester, cls.server_connect_response,
-                                    cls.server_ids)
-        # Add schema(s)
-        schema_utils.add_schemas(cls.tester)
-
-        # Add sequence(s)
-        sequence_utils.add_sequences(cls.tester)
+    def setUp(self):
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to add sequence.")
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to add sequence.")
+        self.sequence_name = "test_sequence_delete_%s" % str(uuid.uuid4())[1:6]
+        self.sequence_id = sequence_utils.create_sequences(
+            self.server, self.db_name, self.schema_name, self.sequence_name)
 
     def runTest(self):
         """ This function will delete added sequence under schema node. """
+        sequence_response = sequence_utils.verify_sequence(self.server,
+                                                           self.db_name,
+                                                           self.sequence_name)
+        if not sequence_response:
+            raise Exception("Could not find the sequence to delete.")
+        response = self.tester.delete(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
+            str(self.schema_id) + '/' +
+            str(self.sequence_id),
+            follow_redirects=True)
+        self.assertEquals(response.status_code, 200)
 
-        sequence_utils.delete_sequence(self.tester)
-
-    @classmethod
-    def tearDownClass(cls):
-        """This function deletes the added sequence, schema, database, server
-        and parent id file
-
-        :return: None
-        """
-
-        schema_utils.delete_schema(cls.tester)
-        database_utils.delete_database(cls.tester)
-        server_utils.delete_server(cls.tester)
-        utils.delete_parent_id_file()
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_get.py
index 1941b98..e62ba55 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_get.py
@@ -6,10 +6,11 @@
 # This software is released under the PostgreSQL Licence
 #
 # ##################################################################
+import uuid
 
 from regression import test_utils as utils
+from regression import parent_node_dict
 from pgadmin.utils.route import BaseTestGenerator
-from pgadmin.browser.server_groups.servers.tests import utils as server_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
@@ -18,76 +19,43 @@ from . import utils as sequence_utils
 
 
 class SequenceGetTestCase(BaseTestGenerator):
-    """ This class will fetch added sequence under schema node. """
-
+    """This class will fetch added sequence under schema node."""
     scenarios = [
         # Fetching default URL for sequence node.
         ('Fetch sequence Node URL', dict(url='/browser/sequence/obj/'))
     ]
 
-    @classmethod
-    def setUpClass(cls):
-        """
-        This function perform the three tasks
-         1. Add the test server(s)
-         2. Connect to server(s)
-         3. Add database(s)
-         4. Add schema(s)
-         5. Add sequence(s)
-
-        :return: None
-        """
-
-        # First, add the server
-        server_utils.add_server(cls.tester)
-
-        # Connect to server
-        cls.server_connect_response, cls.server_group, cls.server_ids = \
-            server_utils.connect_server(cls.tester)
-        if len(cls.server_connect_response) == 0:
-            raise Exception("No Server(s) connected to add the database!!!")
-
-        # Add database(s)
-        database_utils.add_database(cls.tester, cls.server_connect_response,
-                                    cls.server_ids)
-        # Add schema(s)
-        schema_utils.add_schemas(cls.tester)
-
-        # Add sequence(s)
-        sequence_utils.add_sequences(cls.tester)
+    def setUp(self):
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to add sequence.")
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to add sequence.")
+        self.sequence_name = "test_sequence_delete_%s" % str(uuid.uuid4())[1:6]
+        self.sequence_id = sequence_utils.create_sequences(
+            self.server, self.db_name, self.schema_name, self.sequence_name)
 
     def runTest(self):
-        """ This function will fetch added sequence under schema node. """
-
-        all_id = utils.get_ids()
-        server_ids = all_id["sid"]
-        db_ids_dict = all_id["did"][0]
-        schema_ids_dict = all_id["scid"][0]
-        sequence_ids_dict = all_id["seid"][0]
-
-        for server_id in server_ids:
-            db_id = db_ids_dict[int(server_id)]
-            schema_info = schema_ids_dict[int(server_id)]
-            schema_id = schema_info[0]
-            sequence_id = sequence_ids_dict[server_id]
-            get_response = sequence_utils.verify_sequence(self.tester,
-                                                          utils.SERVER_GROUP,
-                                                          server_id,
-                                                          db_id,
-                                                          schema_id,
-                                                          sequence_id)
-            self.assertEquals(get_response.status_code, 200)
-
-    @classmethod
-    def tearDownClass(cls):
-        """This function delete the added sequence, schema, database, server
-        and parent id file
-
-        :return: None
-        """
-
-        sequence_utils.delete_sequence(cls.tester)
-        schema_utils.delete_schema(cls.tester)
-        database_utils.delete_database(cls.tester)
-        server_utils.delete_server(cls.tester)
-        utils.delete_parent_id_file()
+        """This function will fetch added sequence under schema node."""
+        response = self.tester.get(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
+            str(self.schema_id) + '/' +
+            str(self.sequence_id),
+            follow_redirects=True)
+        self.assertEquals(response.status_code, 200)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
